<a id="mypy-boto3-chime-sdk-messaging"></a>

# mypy-boto3-chime-sdk-messaging

[![PyPI - mypy-boto3-chime-sdk-messaging](https://img.shields.io/pypi/v/mypy-boto3-chime-sdk-messaging.svg?color=blue)](https://pypi.org/project/mypy-boto3-chime-sdk-messaging)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-chime-sdk-messaging.svg?color=blue)](https://pypi.org/project/mypy-boto3-chime-sdk-messaging)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/mypy-boto3-chime-sdk-messaging?color=blue)](https://pypistats.org/packages/mypy-boto3-chime-sdk-messaging)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.ChimeSDKMessaging 1.19.10](https://boto3.amazonaws.com/v1/documentation/api/1.19.10/reference/services/chime-sdk-messaging.html#ChimeSDKMessaging)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.1.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-chime-sdk-messaging docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_chime_sdk_messaging/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-chime-sdk-messaging](#mypy-boto3-chime-sdk-messaging)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

Install `boto3-stubs` for `ChimeSDKMessaging` service.

```bash
python -m pip install boto3-stubs[chime-sdk-messaging]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[chime-sdk-messaging]` in your environment:
  `python -m pip install 'boto3-stubs[chime-sdk-messaging]'`

Both type checking and auto-complete should work for `ChimeSDKMessaging`
service. No explicit type annotations required, write your `boto3` code as
usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto-stubs[chime-sdk-messaging]` in your environment:
  `python -m pip install 'boto3-stubs[chime-sdk-messaging]'`

Both type checking and auto-complete should work for `ChimeSDKMessaging`
service. No explicit type annotations required, write your `boto3` code as
usual. Auto-complete can be slow on big projects or if you have a lot of
installed `boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[chime-sdk-messaging]` in your environment:
  `python -m pip install 'boto3-stubs[chime-sdk-messaging]'`
- Run `mypy` as usual

Type checking should work for `ChimeSDKMessaging` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[chime-sdk-messaging]` in your environment:
  `python -m pip install 'boto3-stubs[chime-sdk-messaging]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `ChimeSDKMessaging` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`ChimeSDKMessagingClient` provides annotations for
`boto3.client("chime-sdk-messaging")`.

```python
import boto3

from mypy_boto3_chime_sdk_messaging import ChimeSDKMessagingClient

client: ChimeSDKMessagingClient = boto3.client("chime-sdk-messaging")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: ChimeSDKMessagingClient = session.client("chime-sdk-messaging")
```

<a id="literals"></a>

### Literals

`mypy_boto3_chime_sdk_messaging.literals` module contains literals extracted
from shapes that can be used in user code for type checking.

```python
from mypy_boto3_chime_sdk_messaging.literals import (
    AllowNotificationsType,
    ChannelMembershipTypeType,
    ChannelMessagePersistenceTypeType,
    ChannelMessageStatusType,
    ChannelMessageTypeType,
    ChannelModeType,
    ChannelPrivacyType,
    ErrorCodeType,
    FallbackActionType,
    InvocationTypeType,
    PushNotificationTypeType,
    SortOrderType,
    ServiceName,
)

def check_value(value: AllowNotificationsType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_chime_sdk_messaging.type_defs` module contains structures and
shapes assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_chime_sdk_messaging.type_defs import (
    AppInstanceUserMembershipSummaryTypeDef,
    AssociateChannelFlowRequestRequestTypeDef,
    BatchChannelMembershipsTypeDef,
    BatchCreateChannelMembershipErrorTypeDef,
    BatchCreateChannelMembershipRequestRequestTypeDef,
    BatchCreateChannelMembershipResponseTypeDef,
    ChannelAssociatedWithFlowSummaryTypeDef,
    ChannelBanSummaryTypeDef,
    ChannelBanTypeDef,
    ChannelFlowCallbackRequestRequestTypeDef,
    ChannelFlowCallbackResponseTypeDef,
    ChannelFlowSummaryTypeDef,
    ChannelFlowTypeDef,
    ChannelMembershipForAppInstanceUserSummaryTypeDef,
    ChannelMembershipPreferencesTypeDef,
    ChannelMembershipSummaryTypeDef,
    ChannelMembershipTypeDef,
    ChannelMessageCallbackTypeDef,
    ChannelMessageStatusStructureTypeDef,
    ChannelMessageSummaryTypeDef,
    ChannelMessageTypeDef,
    ChannelModeratedByAppInstanceUserSummaryTypeDef,
    ChannelModeratorSummaryTypeDef,
    ChannelModeratorTypeDef,
    ChannelSummaryTypeDef,
    ChannelTypeDef,
    CreateChannelBanRequestRequestTypeDef,
    CreateChannelBanResponseTypeDef,
    CreateChannelFlowRequestRequestTypeDef,
    CreateChannelFlowResponseTypeDef,
    CreateChannelMembershipRequestRequestTypeDef,
    CreateChannelMembershipResponseTypeDef,
    CreateChannelModeratorRequestRequestTypeDef,
    CreateChannelModeratorResponseTypeDef,
    CreateChannelRequestRequestTypeDef,
    CreateChannelResponseTypeDef,
    DeleteChannelBanRequestRequestTypeDef,
    DeleteChannelFlowRequestRequestTypeDef,
    DeleteChannelMembershipRequestRequestTypeDef,
    DeleteChannelMessageRequestRequestTypeDef,
    DeleteChannelModeratorRequestRequestTypeDef,
    DeleteChannelRequestRequestTypeDef,
    DescribeChannelBanRequestRequestTypeDef,
    DescribeChannelBanResponseTypeDef,
    DescribeChannelFlowRequestRequestTypeDef,
    DescribeChannelFlowResponseTypeDef,
    DescribeChannelMembershipForAppInstanceUserRequestRequestTypeDef,
    DescribeChannelMembershipForAppInstanceUserResponseTypeDef,
    DescribeChannelMembershipRequestRequestTypeDef,
    DescribeChannelMembershipResponseTypeDef,
    DescribeChannelModeratedByAppInstanceUserRequestRequestTypeDef,
    DescribeChannelModeratedByAppInstanceUserResponseTypeDef,
    DescribeChannelModeratorRequestRequestTypeDef,
    DescribeChannelModeratorResponseTypeDef,
    DescribeChannelRequestRequestTypeDef,
    DescribeChannelResponseTypeDef,
    DisassociateChannelFlowRequestRequestTypeDef,
    GetChannelMembershipPreferencesRequestRequestTypeDef,
    GetChannelMembershipPreferencesResponseTypeDef,
    GetChannelMessageRequestRequestTypeDef,
    GetChannelMessageResponseTypeDef,
    GetChannelMessageStatusRequestRequestTypeDef,
    GetChannelMessageStatusResponseTypeDef,
    GetMessagingSessionEndpointResponseTypeDef,
    IdentityTypeDef,
    LambdaConfigurationTypeDef,
    ListChannelBansRequestRequestTypeDef,
    ListChannelBansResponseTypeDef,
    ListChannelFlowsRequestRequestTypeDef,
    ListChannelFlowsResponseTypeDef,
    ListChannelMembershipsForAppInstanceUserRequestRequestTypeDef,
    ListChannelMembershipsForAppInstanceUserResponseTypeDef,
    ListChannelMembershipsRequestRequestTypeDef,
    ListChannelMembershipsResponseTypeDef,
    ListChannelMessagesRequestRequestTypeDef,
    ListChannelMessagesResponseTypeDef,
    ListChannelModeratorsRequestRequestTypeDef,
    ListChannelModeratorsResponseTypeDef,
    ListChannelsAssociatedWithChannelFlowRequestRequestTypeDef,
    ListChannelsAssociatedWithChannelFlowResponseTypeDef,
    ListChannelsModeratedByAppInstanceUserRequestRequestTypeDef,
    ListChannelsModeratedByAppInstanceUserResponseTypeDef,
    ListChannelsRequestRequestTypeDef,
    ListChannelsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    MessageAttributeValueTypeDef,
    MessagingSessionEndpointTypeDef,
    ProcessorConfigurationTypeDef,
    ProcessorTypeDef,
    PushNotificationConfigurationTypeDef,
    PushNotificationPreferencesTypeDef,
    PutChannelMembershipPreferencesRequestRequestTypeDef,
    PutChannelMembershipPreferencesResponseTypeDef,
    RedactChannelMessageRequestRequestTypeDef,
    RedactChannelMessageResponseTypeDef,
    ResponseMetadataTypeDef,
    SendChannelMessageRequestRequestTypeDef,
    SendChannelMessageResponseTypeDef,
    TagResourceRequestRequestTypeDef,
    TagTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateChannelFlowRequestRequestTypeDef,
    UpdateChannelFlowResponseTypeDef,
    UpdateChannelMessageRequestRequestTypeDef,
    UpdateChannelMessageResponseTypeDef,
    UpdateChannelReadMarkerRequestRequestTypeDef,
    UpdateChannelReadMarkerResponseTypeDef,
    UpdateChannelRequestRequestTypeDef,
    UpdateChannelResponseTypeDef,
)

def get_structure() -> AppInstanceUserMembershipSummaryTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-chime-sdk-messaging` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-chime-sdk-messaging docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_chime_sdk_messaging/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
